IRremoteESP8266: SamsungProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
SamsungProtocol Union Reference

Native representation of a Samsung A/C message. More...

`#include <ir_Samsung.h>`

## Public Attributes

uint8_t | raw [kSamsungAcExtendedStateLength]
| State in code form. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:4
uint8_t Quiet1:1
uint8_t Power1:1
uint8_t __pad2__:2
uint8_t pad0 [3]
uint8_t __pad3__:5
uint8_t Quiet5:1
uint8_t __pad4__:2
uint8_t __pad5__:4
uint8_t Power6:2
uint8_t __pad6__:2
uint8_t __pad7__:8
uint8_t Powerful8:8
uint8_t __pad8__:4
uint8_t Swing:3
uint8_t __pad9__:1
uint8_t __pad10__:1
uint8_t Powerful10:3
uint8_t Display:1
uint8_t __pad11__:2
uint8_t Clean10:1
uint8_t Ion:1
uint8_t Clean11:1
uint8_t __pad12__:2
uint8_t Temp:4
uint8_t __pad13__:1
uint8_t Fan:3
uint8_t Mode:3
uint8_t __pad14__:1
uint8_t __pad15__:1
uint8_t Beep:1
uint8_t __pad16__:6
}; |
struct {
uint8_t __pad0__:8
uint8_t __pad1__:4
uint8_t Sum1:4
uint8_t pad1 [6]
uint8_t __pad2__:4
uint8_t Sum2:4
uint8_t __pad3__:8
uint8_t __pad4__:1
uint8_t Breeze:3
uint8_t __pad5__:4
}; |

## Detailed Description

Native representation of a Samsung A/C message.

## Member Data Documentation

## ◆ @70

struct { ... }

## ◆ @72

struct { ... }

## ◆ __pad0__

uint8_t SamsungProtocol::__pad0__

## ◆ __pad10__

uint8_t SamsungProtocol::__pad10__

## ◆ __pad11__

uint8_t SamsungProtocol::__pad11__

## ◆ __pad12__

uint8_t SamsungProtocol::__pad12__

## ◆ __pad13__

uint8_t SamsungProtocol::__pad13__

## ◆ __pad14__

uint8_t SamsungProtocol::__pad14__

## ◆ __pad15__

uint8_t SamsungProtocol::__pad15__

## ◆ __pad16__

uint8_t SamsungProtocol::__pad16__

## ◆ __pad1__

uint8_t SamsungProtocol::__pad1__

## ◆ __pad2__

uint8_t SamsungProtocol::__pad2__

## ◆ __pad3__

uint8_t SamsungProtocol::__pad3__

## ◆ __pad4__

uint8_t SamsungProtocol::__pad4__

## ◆ __pad5__

uint8_t SamsungProtocol::__pad5__

## ◆ __pad6__

uint8_t SamsungProtocol::__pad6__

## ◆ __pad7__

uint8_t SamsungProtocol::__pad7__

## ◆ __pad8__

uint8_t SamsungProtocol::__pad8__

## ◆ __pad9__

uint8_t SamsungProtocol::__pad9__

## ◆ Beep

uint8_t SamsungProtocol::Beep

## ◆ Breeze

uint8_t SamsungProtocol::Breeze

## ◆ Clean10

uint8_t SamsungProtocol::Clean10

## ◆ Clean11

uint8_t SamsungProtocol::Clean11

## ◆ Display

uint8_t SamsungProtocol::Display

## ◆ Fan

uint8_t SamsungProtocol::Fan

## ◆ Ion

uint8_t SamsungProtocol::Ion

## ◆ Mode

uint8_t SamsungProtocol::Mode

## ◆ pad0

uint8_t SamsungProtocol::pad0[3]

## ◆ pad1

uint8_t SamsungProtocol::pad1[6]

## ◆ Power1

uint8_t SamsungProtocol::Power1

## ◆ Power6

uint8_t SamsungProtocol::Power6

## ◆ Powerful10

uint8_t SamsungProtocol::Powerful10

## ◆ Powerful8

uint8_t SamsungProtocol::Powerful8

## ◆ Quiet1

uint8_t SamsungProtocol::Quiet1

## ◆ Quiet5

uint8_t SamsungProtocol::Quiet5

## ◆ raw

uint8_t SamsungProtocol::raw[kSamsungAcExtendedStateLength]

State in code form.

## ◆ Sum1

uint8_t SamsungProtocol::Sum1

## ◆ Sum2

uint8_t SamsungProtocol::Sum2

## ◆ Swing

uint8_t SamsungProtocol::Swing

## ◆ Temp

uint8_t SamsungProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Samsung.h